Subject: Re: [PATCH v3 net-next] bpf: fix bpf_perf_event_read() helper

From: Ingo Molnar <[email-masked]>
Date: Sun, 25 Oct 2015 10:21:43 +0100

* Alexei Starovoitov <[email-masked]> wrote:

> On 10/23/15 5:03 AM, Peter Zijlstra wrote:
> >So the bpf_perf_event_read() returns the count value, does this not also
> >mean that returning -EINVAL here is also 'wrong'?
> >
> >I mean, sure an actual count value that high is unlikely, but its still
> >a broken interface.
> 
> Agree. that's not pretty interface. I wish I looked at it more carefully
> when it was introduced. Now it's too late to change.

So I really, really think eBPF needs to have an easy to use mechanism to phase out 
old ABI components and introducing new (better) ones!

Then old crap can be de-emphasised and eventually removed, instead of having to 
live with crap forever ...

Thanks,

	Ingo